Page MenuHomePhabricator

Bring in spyc for OpenStackManager and Translate via composer
Closed, ResolvedPublic

Description

Both OSM and Translate have bundled versions of spyc which should be brought in via composer instead.

Event Timeline

Legoktm created this task.Nov 26 2014, 12:13 AM
Legoktm raised the priority of this task from to Needs Triage.
Legoktm updated the task description. (Show Details)
Legoktm changed Security from none to None.
Legoktm added a subscriber: Legoktm.

I filed https://github.com/mustangostang/spyc/issues/38 asking for a new release to be tagged since both Translate and OSM are using versions that are after 0.5.1.

For Translate, you can just add it to composer and Translate will prefer that one. The bundled spyc in Translate will stay for a while due to BC requirements.

Nikerabbit changed the task status from Open to Stalled.Jan 26 2015, 5:43 PM

No reaction in upstream ticket :(

Nikerabbit triaged this task as Low priority.Jan 26 2015, 5:43 PM

Just for FYI phpyaml is now the recommended library for Translate.

Reedy added a subscriber: Reedy.Oct 2 2015, 10:16 PM

Just for FYI phpyaml is now the recommended library for Translate.

I wonder if we should file a task to update the library in OSM then?

If you care or need about standard compliant parsing and generation. It's the uncommon syntax and edge cases where the issues show up. It looks like spyc is at the moment getting one pull request merged per year and hasn't had release soon in three years.

Reedy changed the task status from Stalled to Open.Apr 4 2017, 10:18 PM

Change 346469 had a related patch set uploaded (by Reedy):
[mediawiki/extensions/OpenStackManager@master] Bring in spyc via composer

https://gerrit.wikimedia.org/r/346469

Change 346472 had a related patch set uploaded (by Reedy):
[mediawiki/extensions/Translate@master] Bring in spyc via composer

https://gerrit.wikimedia.org/r/346472

Change 346473 had a related patch set uploaded (by Reedy):
[mediawiki/vendor@master] Add mustangostang/spyc 0.6.2

https://gerrit.wikimedia.org/r/346473

Change 346473 merged by jenkins-bot:
[mediawiki/vendor@master] Add mustangostang/spyc 0.6.2

https://gerrit.wikimedia.org/r/346473

Change 346472 merged by jenkins-bot:
[mediawiki/extensions/Translate@master] Bring in spyc via composer

https://gerrit.wikimedia.org/r/346472

Change 346469 merged by jenkins-bot:
[mediawiki/extensions/OpenStackManager@master] Bring in spyc via composer

https://gerrit.wikimedia.org/r/346469

Umherirrender closed this task as Resolved.Jun 16 2017, 8:21 AM